usb_endpoint_is_bulk_out
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

usb_endpoint_is_bulk_out — check if the endpoint is bulk OUT

## Synopsis

`int usb_endpoint_is_bulk_out (` | const struct usb_endpoint_descriptor * | epd`)`;

## Arguments

`epd`

  endpoint to be checked

## Description

Returns true if the endpoint has bulk transfer type and OUT direction, otherwise it returns false.

Prev | Up | Next
usb_endpoint_is_bulk_in | Home | usb_endpoint_is_int_in